import React from 'react'
import { CgCloseO } from "react-icons/cg";

const TodoItem = ({ todos, completeTodo, removeTodo, editTodo, handleEditChange, editId, inputValue, setInputValue, escFunction }) => {
  return (
    <div className="task">

      {/*** List Todos ***/}

      {editId !== todos.id ? (
        todos.status === false ? (
          <div className="task-body-content">
            <div style={{ display: 'flex' }}>
              <div style={{ margin: '2px 4px 0px 0px', lineHeight: '1px' }}>
                <input type='checkbox'
                  checked={todos.status}
                  onChange={() => completeTodo(todos.id)}
                ></input>
              </div>
              <div onClick={() => handleEditChange(todos.id, todos.text)} style={{ cursor: 'pointer' }}>{todos.text}</div>
            </div>
            <div>
              <CgCloseO onClick={() => removeTodo(todos.id)} style={{ fontSize: '18px', cursor: 'pointer', color: '#ccc' }} />
            </div>
          </div>
        ) : ''
      ) : (
        <>
          {/*** Edit Todos ***/}

          <div className="add-form">
            <div className='form-control'>
              <input
                type="text"
                value={inputValue}
                onChange={(e) => setInputValue(e.target.value)}
                escFunction={(e) => escFunction(e.key)}
              />
            </div>
            <button className="btn" onClick={() => editTodo(todos.id, inputValue)}>Save</button>
          </div>
        </>
      )}
    </div >
  )
}

export default TodoItem

